export declare class InternalEchartsRenderer {
    content: any;
    width: string;
    height: string;
    theme: string;
    responsive: boolean;
    showLoading: boolean;
    el: HTMLElement;
    private chart;
    private resizeHandler;
    componentDidLoad(): Promise<void>;
    contentChanged(): Promise<void>;
    disconnectedCallback(): void;
    private renderChart;
    private disposeChart;
    render(): any;
}
